## audiopanorama audiopanorama |

## Properties

gfloat | panorama | Read / Write
GstAudioPanoramaMethod | method | Read / Write

## Types and Values

struct | GstAudioPanorama
enum | GstAudioPanoramaMethod

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstAudioPanorama

## Description

Stereo panorama effect with controllable pan position. One can choose between the default psychoacoustic panning method, which keeps the same perceived loudness, and a simple panning method that just controls the volume on one channel.

### Example launch line

    1
    2
    3
    4
    gst-launch-1.0 audiotestsrc wave=saw ! audiopanorama panorama=-1.00 ! alsasink
    gst-launch-1.0 filesrc location="melo1.ogg" ! oggdemux ! vorbisdec ! audioconvert ! audiopanorama panorama=-1.00 ! alsasink
    gst-launch-1.0 audiotestsrc wave=saw ! audioconvert ! audiopanorama panorama=-1.00 ! audioconvert ! alsasink
    gst-launch-1.0 audiotestsrc wave=saw ! audioconvert ! audiopanorama method=simple panorama=-0.50 ! audioconvert ! alsasink

## Synopsis

### Element Information

plugin | audiofx
author | Stefan Kost <ensonic@users.sf.net>
class | Filter/Effect/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string){ F32LE, S16LE }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2 ], layout=(string)interleaved

name | src
direction | source
presence | always
details | audio/x-raw, format=(string){ F32LE, S16LE }, rate=(int)[ 1, 2147483647 ], channels=(int)2, layout=(string)interleaved

## Functions

## Types and Values

### struct GstAudioPanorama

    struct GstAudioPanorama;

### enum GstAudioPanoramaMethod

#### Members

METHOD_PSYCHOACOUSTIC |  |
METHOD_SIMPLE |  |

## Property Details

### The `“panorama”` property

      “panorama”                 gfloat

Position in stereo panorama (-1.0 left -> 1.0 right).

Flags: Read / Write

Allowed values: [-1,1]

Default value: 0

### The `“method”` property

      “method”                   GstAudioPanoramaMethod

Panning method: psychoacoustic mode keeps the same perceived loudness, while simple mode just controls the volume of one channel. It's merely a matter of taste which method should be chosen.

Flags: Read / Write

Default value: Psychoacoustic Panning (default)